function love.load()
	CelluleHexagonale = love.graphics.newImage("hexagone.png")
	love.graphics.setBackgroundColor(131,192,240)
	font = love.graphics.newFont(8)
	love.graphics.setFont(font)
	player = object:create()
end

function love.draw()
	for n = 0, love.graphics.getWidth() / 16 - 2 do
		for m = 0, love.graphics.getHeight() / 24 - 2 do
			if math.fmod(n + m, 2) == 0 then
				love.graphics.draw(CelluleHexagonale ,n * 16 ,m * 24)
				love.graphics.print(n..','..m,n * 16 + 8 ,m * 24 + 12)
			end
		end
	end
	player:draw()
end

function love.update(dt)
	player:update(dt)
end


object = {}
object.__index = object

function object.create()
	local temp = {}
	setmetatable(temp, object)
	temp.x, temp.y = 0, 0
	temp.dx, temp.dy = 0, 0
	temp.link = love.graphics.newImage("link.png")
	return temp
end

function object:update(dt)
	local v
	if self.dx == 0 and self.dy == 0 then
		if love.keyboard.isDown('left') and love.keyboard.isDown('up') then
			self.dx, self.dy = -1, -1
		elseif love.keyboard.isDown('left') and love.keyboard.isDown('down') then
			self.dx, self.dy = -1,  1
		elseif love.keyboard.isDown('right') and love.keyboard.isDown('up') then
			self.dx, self.dy =  1, -1
		elseif love.keyboard.isDown('right') and love.keyboard.isDown('down') then
			self.dx, self.dy =  1,  1
		elseif love.keyboard.isDown('left') then
			self.dx, self.dy = -2,  0
		elseif love.keyboard.isDown('right') then
			self.dx, self.dy =  2,  0
		end
		self.x, self.y = self.x + self.dx, self.y + self.dy
	end
	if self.dy == 0 then v = 2 else v = 1 end
	if self.dx > 0 then self.dx = self.dx - dt * v
	elseif self.dx < 0 then self.dx = self.dx + dt * v
	end
	if self.dy > 0 then self.dy = self.dy - dt
	elseif self.dy < 0 then self.dy = self.dy + dt
	end
	if math.abs(self.dx) < dt * v then self.dx = 0 end
	if math.abs(self.dy) < dt then self.dy = 0 end
end

function object:draw()
	love.graphics.draw(self.link,(self.x - self.dx)* 16 ,(self.y - self.dy) * 24)
end
